package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxClockLog;

import java.util.List;

/**
 * 用户打卡Mapper接口
 *
 * @author flossom
 * @date 2024-01-29
 */
public interface WxClockLogMapper {
    /**
     * 查询用户打卡
     *
     * @param id 用户打卡主键
     * @return 用户打卡
     */
    public WxClockLog selectWxClockLogById(Long id);

    /**
     * 查询用户打卡列表
     *
     * @param wxClockLog 用户打卡
     * @return 用户打卡集合
     */
    public List<WxClockLog> selectWxClockLogList(WxClockLog wxClockLog);

    /**
     * 新增用户打卡
     *
     * @param wxClockLog 用户打卡
     * @return 结果
     */
    public int insertWxClockLog(WxClockLog wxClockLog);

    /**
     * 修改用户打卡
     *
     * @param wxClockLog 用户打卡
     * @return 结果
     */
    public int updateWxClockLog(WxClockLog wxClockLog);

    /**
     * 删除用户打卡
     *
     * @param id 用户打卡主键
     * @return 结果
     */
    public int deleteWxClockLogById(Long id);

    /**
     * 批量删除用户打卡
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxClockLogByIds(Long[] ids);

    Integer selectCountByUserId(WxClockLog queryClockLog);
}
